Subject: Re: [mobile-ip] Analysis of Jitter in Bicasting

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 25 Jul 2001 14:47:49 -0700

James Kempf wrote:

> >i need to buffer atleast one packet, the FBACK. otherwise it gets
> >dropped
> >and could potentially screw up fast handoffs.
> >
> 
> Um, so what happens to the real time packets while the FBACK is getting
> buffered? And how do you know that the FBACK will arrive and should
> be buffered exactly during L2 handover? It could arrive before, it
> could arrive after. What about the rest (minimum 4 at my count)
> packets involved in FMIP handover before the MN gets to start
> doing DAD (over the air), etc., on the new AR before it can
> start getting its real time traffic?

i lost you. it doesnt matter when the FBack arrives at the newAR, 
the newAR has to buffer it till the MN shows up. the newAR doesnt 
know if the MN got the FBack while it was still attached to the 
oldAR.

vijay

> If you are going to buffer, you need to buffer during the expected
> duration of the L2 + L3 handover, regardless of what the traffic is.
> If you look in Appendix A of draft-kempf-beth-ipv6-01.txt, you'll see a
> calcuated minimum duration  for handover using FMIPv6 of 133 ms for
> L3 handover *only* @ 9.6 kbps uplink speed. Add another
> 100 ms (a wild guess, I have not yet been able to find anyone who
> can give me figures for wCDMA) for L2 handover and you are already
> almost double the 112.5 ms time for the user to notice. In addition,
> the scenarios in Appendix A do not assume that the MN completes
> valid new CoA aquisition on the new AR, they assume that the MN
> uses its old CoA and the old AR is tunnelling, which is the
> fallback scenario. If you include completion of new CoA aquisition,
> you'll add yet more time.
> 
> Meantime, the user is waiting...
> 
>                 jak

---

From: James Kempf <[email-masked]>
Date: Wed, 25 Jul 2001 14:10:17 -0700 (PDT)

Vijay,

>> ..*provided* the combined L2/L3 handover latency is less than 112.5 sec, 
given
>> a 6 kbps incoming real time data stream (typical for VoIP) and
>> an uplink data rate of 9.6 kbps (typical of existing 2G voice systems).
>
>i guess you meant 112.5 ms.
>

Right, sorry.

		jak